## org.eclipse.m2m.qvt.oml.debug.core.vm.protocol
Enum VMBreakpointRequest.ActionKind

    java.lang.Object
      java.lang.Enum<VMBreakpointRequest.ActionKind>
          org.eclipse.m2m.qvt.oml.debug.core.vm.protocol.VMBreakpointRequest.ActionKind

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<VMBreakpointRequest.ActionKind>

Enclosing class:
  VMBreakpointRequest

    public static enum VMBreakpointRequest.ActionKind

extends java.lang.Enum<VMBreakpointRequest.ActionKind>

Enum Constant Summary
`ADD`
`CHANGE`
`REMOVE`

Method Summary
`static VMBreakpointRequest.ActionKind` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static VMBreakpointRequest.ActionKind[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ADD

    public static final VMBreakpointRequest.ActionKind ADD

### REMOVE

    public static final VMBreakpointRequest.ActionKind REMOVE

### CHANGE

    public static final VMBreakpointRequest.ActionKind CHANGE

Method Detail

### values

    public static final VMBreakpointRequest.ActionKind[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(VMBreakpointRequest.ActionKind c : VMBreakpointRequest.ActionKind.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static VMBreakpointRequest.ActionKind valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.